Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.agent
Class HeapDumpOptions

    java.lang.Object
      com.jprofiler.api.agent.HeapDumpOptions

    public class HeapDumpOptions

extends java.lang.Object

Heap dump options for calling `Controller.triggerHeapDump(HeapDumpOptions)` The default values after constructing an instance of this class are equivalent to calling `heapDumpOptions.fullGc(true).primitiveData(true).calculateRetainedSizes(true).selectRecorded(true)`.

Field Summary
`static HeapDumpOptions` | `DEFAULT` The default value used by `Controller.triggerHeapDump()`.
`static HeapDumpOptions` | `NO_FULL_GC` Same as `DEFAULT`, only with `fullGc(false)`.
`static HeapDumpOptions` | `SELECT_RECORDED` Same as `DEFAULT`, only with `selectRecorded(true)`.

Constructor Summary
`HeapDumpOptions()` Create a new instance with the default options described above.

Method Summary
`HeapDumpOptions` | `calculateRetainedSizes(boolean calculateRetainedSizes)` Determines whether retained sizes should be calculated for the heap dump.
`HeapDumpOptions` | `freeze()` Make these heap dump options unmodifiable.
`HeapDumpOptions` | `fullGc(boolean fullGc)` Determines whether a full garbage collection should be performed for the heap dump.
`boolean` | `isCalculateRetainedSizes()` Returns if retained sizes should be calculated for the heap dump.
`boolean` | `isFullGc()` Returns if a full garbage collection should be performed for the heap dump.
`boolean` | `isPrimitiveData()` Returns if primitive data should be recorded for the heap dump.
`boolean` | `isSelectRecorded()` Returns if recorded objects should be selected when the heap dump is opened in the JProfiler GUI.
`HeapDumpOptions` | `primitiveData(boolean primitiveData)` Determines whether primitive data should be recorded for the heap dump.
`HeapDumpOptions` | `selectRecorded(boolean selectRecorded)` Determines whether recorded objects should be selected when the heap dump is opened in the JProfiler GUI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final HeapDumpOptions DEFAULT

  The default value used by `Controller.triggerHeapDump()`. This uses the default options described above.

### SELECT_RECORDED

    public static final HeapDumpOptions SELECT_RECORDED

  Same as `DEFAULT`, only with `selectRecorded(true)`.

### NO_FULL_GC

    public static final HeapDumpOptions NO_FULL_GC

  Same as `DEFAULT`, only with `fullGc(false)`.

Constructor Detail

### HeapDumpOptions

    public HeapDumpOptions()

  Create a new instance with the default options described above.

Method Detail

### fullGc

    public HeapDumpOptions fullGc(boolean fullGc)

  Determines whether a full garbage collection should be performed for the heap dump. The default is `true`.

  Parameters:
    `fullGc` - the new value
  Returns:
    this instance

### primitiveData

    public HeapDumpOptions primitiveData(boolean primitiveData)

  Determines whether primitive data should be recorded for the heap dump. The default is `true`.

  Parameters:
    `primitiveData` - the new value
  Returns:
    this instance

### calculateRetainedSizes

    public HeapDumpOptions calculateRetainedSizes(boolean calculateRetainedSizes)

  Determines whether retained sizes should be calculated for the heap dump. The default is `true`.

  Parameters:
    `calculateRetainedSizes` - the new value
  Returns:
    this instance

### selectRecorded

    public HeapDumpOptions selectRecorded(boolean selectRecorded)

  Determines whether recorded objects should be selected when the heap dump is opened in the JProfiler GUI. The default value is `false`.

  Parameters:
    `selectRecorded` - the new value
  Returns:
    this instance

### isFullGc

    public boolean isFullGc()

  Returns if a full garbage collection should be performed for the heap dump.

  Returns:
    the value

### isPrimitiveData

    public boolean isPrimitiveData()

  Returns if primitive data should be recorded for the heap dump.

  Returns:
    the value

### isCalculateRetainedSizes

    public boolean isCalculateRetainedSizes()

  Returns if retained sizes should be calculated for the heap dump.

  Returns:
    the value

### isSelectRecorded

    public boolean isSelectRecorded()

  Returns if recorded objects should be selected when the heap dump is opened in the JProfiler GUI.

  Returns:
    the value

### freeze

    public HeapDumpOptions freeze()

  Make these heap dump options unmodifiable. Further modification attempts will result in a `UnsupportedOperationException`.

  Returns:
    this instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD